%define upstream_name    Log-Dispatchouli
%define upstream_version 2.012

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple wrapper around Log::Dispatch
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Log::Dispatch::Array)
BuildRequires: perl(Log::Dispatch::File)
BuildRequires: perl(Log::Dispatch::Screen)
BuildRequires: perl(Log::Dispatch::Syslog)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Flogger)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::GlobExporter) >= 0.2.0
BuildRequires: perl(Sys::Syslog) >= 0.160.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Try::Tiny) >= 0.40.0
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch


%{?perl_default_filter}
Requires:   perl(Log::Dispatch::Array)
%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.12.0-3.mga6
+ Revision: 1029353
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.12.0-2.mga6
+ Revision: 965774
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 2.12.0-1.mga6
+ Revision: 837163
- update to 2.012

* Thu Dec 11 2014 sander85 <sander85> 2.10.0-4.mga5
+ Revision: 802721
- Fix BRs

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.10.0-3.mga5
+ Revision: 733165
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.10.0-2.mga5
+ Revision: 685263
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 sander85 <sander85> 2.10.0-1.mga5
+ Revision: 657882
- update to 2.010

* Sun Feb 09 2014 sander85 <sander85> 2.9.0-1.mga5
+ Revision: 587469
- update to 2.009

* Mon Oct 21 2013 umeabot <umeabot> 2.8.0-2.mga4
+ Revision: 537822
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 2.8.0-1.mga4
+ Revision: 487801
- update to 2.008

* Fri Jun 07 2013 jquelin <jquelin> 2.6.0-1.mga4
+ Revision: 439480
- update to 2.006

* Sun Jan 13 2013 umeabot <umeabot> 2.5.0-2.mga3
+ Revision: 369220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 11 2011 jquelin <jquelin> 2.5.0-1.mga1
+ Revision: 83365
- update to 2.005

* Thu Feb 17 2011 dmorgan <dmorgan> 2.4.0-1.mga1
+ Revision: 52934
- New version

* Mon Jan 24 2011 jquelin <jquelin> 2.0.0-1.mga1
+ Revision: 37074
- mageia rebuild
- imported package perl-Log-Dispatchouli

